/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.mobile.hriv.service;

import java.util.List;

import se.vgregion.mobile.hriv.domain.Unit;

public interface SearchService {

    String EMERGENCYUNITS_LDAP_QUREY = "(&(&(&(|(vgrcaretype=01))(|(hsabusinessclassificationcode=1000)(hsabusinessclassificationcode=1100)(hsabusinessclassificationcode=1500)(hsabusinessclassificationcode=1600)(hsabusinessclassificationcode=1800)(hsabusinessclassificationcode=1801)(hsabusinessclassificationcode=1812))))(hsaDestinationIndicator=03))";
    String CAREUNITS_LDAP_QUREY = "(&(&(&(|(hsabusinesstype=02))))(hsaDestinationIndicator=03))";
    String DUTYUNITS_LDAP_QUREY = "(&(&(&(|(hsabusinessclassificationcode=1500))))(hsaDestinationIndicator=03))";

	List<Unit> searchUnits(String filter, int searchScope, List<String> attrs);

}
